Skip to content

Voicemail

All operations require authentication.

22 operationsv1/telephony/{billingAccount}
Agent setup

List voicemailsProduction

GET
/1.0/telephony/{billingAccount}/voicemail

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200string[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a voicemailProduction

GET
/1.0/telephony/{billingAccount}/voicemail/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200Voicemailsuccessful operation
description
string
—
offers
read-only
string[]
—
serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "offers": [ "string" ], "serviceName": "string", "serviceType": "alias"}

Update a voicemailProduction

PUT
/1.0/telephony/{billingAccount}/voicemail/{serviceName}

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

description
string
—
offers
read-only
string[]
—
serviceName
read-only
string
—
serviceType
read-only
TypeServiceEnum

All existing types

Valuesaliasline

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

List voicemail messagesProduction

GET
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/directories

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

dir
VoicemailMessageFolderDirectoryEnum

Filter the value of dir property (=)

Valuesfamilyfriendsinboxoldurgentwork

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/directories \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a voicemail messageProduction

GET
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/directories/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200VoicemailMessagessuccessful operation
callee
read-only
phoneNumber

Callee number in international format

caller
read-only
phoneNumber

Caller number in international format

creationDatetime
read-only
stringdate-time

Message datetime creation

dir
read-only
VoicemailMessageFolderDirectoryEnum

Voicemessage directory

Valuesfamilyfriendsinboxoldurgentwork
duration
read-only
integer

Message duration (in seconds)

id
read-only
integer

Uniq voicemail message identifier

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/directories/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "callee": "string", "caller": "string", "creationDatetime": "2024-01-01T12:00:00Z", "dir": "family", "duration": 0, "id": 0}

Delete a voicemail messageProduction

DELETE
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/directories/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/directories/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Download a voicemail messageProduction

GET
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/directories/{id}/download

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Query parameters

format
ServiceVoicemailAudioFormatEnum

File format wanted

Valuesaiffauflacmp3oggwav

Response

200PcsFilesuccessful operation
filename
read-only
string
—
status
read-only
PcsFileStatusEnum

File providing task status

Valuesdoingdoneerrortodo
url
read-only
string
—
urlExpirationDatetime
read-only
stringdate-time
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/directories/{id}/download \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

Move a voicemail messageProduction

POST
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/directories/{id}/move

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

dir
required
VoicemailMessageFolderDirectoryEnum

Greeting voicemail directory

Valuesfamilyfriendsinboxoldurgentwork

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/directories/{id}/move \
  -H "authorization: Bearer $OVH_TOKEN"

Download the message transcriptBeta

GET
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/directories/{id}/transcript

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Query parameters

format
required
TranscriptFormatEnum

format of the file to retrieve

Valuesjsontext

Response

200TranscriptFilesuccessful operation
filename
string

The transcript filename

status
TranscriptFileStatusEnum

The status of the request

Valuesdoingdoneerror
url
string

The download URL for the transcript file

urlExpirationDatetime
stringdate-time

The expiration date for the download URL

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/directories/{id}/transcript \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

List greetingsProduction

GET
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/greetings

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Query parameters

dir
VoicemailMessageFolderGreetingEnum

Filter the value of dir property (=)

Valuesbusygreettempunavail

Response

200integer[]successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/greetings \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a greetingProduction

GET
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/greetings/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200VoicemailGreetingssuccessful operation
callee
read-only
phoneNumber

Callee number in international format

dir
read-only
VoicemailMessageFolderGreetingEnum

Customized greeting voicemail directory

Valuesbusygreettempunavail
id
read-only
integer

Uniq customized greeting identifier

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/greetings/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "callee": "string", "dir": "busy", "id": 0}

Upload a greetingProduction

POST
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/greetings

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

dir
required
VoicemailMessageFolderGreetingEnum

Greeting voicemail directory

Valuesbusygreettempunavail
documentId
required
string

Get the /me/document uuid generated

Response

200integersuccessful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/greetings \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
0

Delete a greetingProduction

DELETE
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/greetings/{id}

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/greetings/{id} \
  -H "authorization: Bearer $OVH_TOKEN"

Download a greetingProduction

GET
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/greetings/{id}/download

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Query parameters

format
ServiceVoicemailAudioFormatEnum

File format wanted

Valuesaiffauflacmp3oggwav

Response

200PcsFilesuccessful operation
filename
read-only
string
—
status
read-only
PcsFileStatusEnum

File providing task status

Valuesdoingdoneerrortodo
url
read-only
string
—
urlExpirationDatetime
read-only
stringdate-time
—

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/greetings/{id}/download \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "filename": "string", "status": "doing", "url": "string", "urlExpirationDatetime": "2024-01-01T12:00:00Z"}

Move a greetingProduction

POST
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/greetings/{id}/move

Path parameters

billingAccount
required
string

The name of your billingAccount

id
required
integer

Id of the object

serviceName
required
string
—

Request body (required)

dir
required
VoicemailMessageFolderGreetingEnum

Greeting voicemail directory

Valuesbusygreettempunavail

Response

200—successful operation

Example uses billingAccount = string, id = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/greetings/{id}/move \
  -H "authorization: Bearer $OVH_TOKEN"

Migrate the voicemail to the new versionProduction

POST
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/migrateOnNewVersion

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/migrateOnNewVersion \
  -H "authorization: Bearer $OVH_TOKEN"

Get the voicemail settingsProduction

GET
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/settings

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200VoicemailPropertiessuccessful operation
annouceMessage
read-only
string

Name of the voicemail panel announce file

audioFormat
ServiceVoicemailAudioFormatEnum

Format of the voicemail audio file attached to emails

Valuesaiffauflacmp3oggwav
doNotRecord
boolean

Don't allow callers to leave voicemails

forcePassword
boolean

Force password request to access the voicemail panel

fromEmail
string

Email address from which emails will be sent

fromName
string

Name from which emails will be sent

fullGreetingSoundId
integer

Sound ID of the long greeeting

greetingType
VoicemailGreetingEnum

Type of the greeting to play

Valuesdefaultfullshort
isNewVersion
read-only
boolean

Current voicemail version

keepMessage
boolean

Don't delete voicemails after they've been sent by email

redirectionEmails
ServiceVoicemailNotifications[]

Email addresses to notify when a new voicemail is left

shortGreetingSoundId
integer

Sound ID of the short greeting played before an automated message

temporaryGreetingActivated
boolean

Play the temporary greeting instead of the regular one

temporaryGreetingSoundId
integer

Sound ID of the temporary greeeting

unreadMessages
read-only
integer

Quantity of unread voicemails

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/settings \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "annouceMessage": "string", "audioFormat": "aiff", "doNotRecord": true, "forcePassword": true, "fromEmail": "string", "fromName": "string", "fullGreetingSoundId": 0, "greetingType": "default", "isNewVersion": true, "keepMessage": true, "redirectionEmails": [ { "email": "string", "type": "attachment" } ], "shortGreetingSoundId": 0, "temporaryGreetingActivated": true, "temporaryGreetingSoundId": 0, "unreadMessages": 0}

Update the voicemail settingsProduction

PUT
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/settings

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

annouceMessage
read-only
string

Name of the voicemail panel announce file

audioFormat
ServiceVoicemailAudioFormatEnum

Format of the voicemail audio file attached to emails

Valuesaiffauflacmp3oggwav
doNotRecord
boolean

Don't allow callers to leave voicemails

forcePassword
boolean

Force password request to access the voicemail panel

fromEmail
string

Email address from which emails will be sent

fromName
string

Name from which emails will be sent

fullGreetingSoundId
integer

Sound ID of the long greeeting

greetingType
VoicemailGreetingEnum

Type of the greeting to play

Valuesdefaultfullshort
isNewVersion
read-only
boolean

Current voicemail version

keepMessage
boolean

Don't delete voicemails after they've been sent by email

redirectionEmails
ServiceVoicemailNotifications[]

Email addresses to notify when a new voicemail is left

shortGreetingSoundId
integer

Sound ID of the short greeting played before an automated message

temporaryGreetingActivated
boolean

Play the temporary greeting instead of the regular one

temporaryGreetingSoundId
integer

Sound ID of the temporary greeeting

unreadMessages
read-only
integer

Quantity of unread voicemails

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/settings \
  -H "authorization: Bearer $OVH_TOKEN"

Change the voicemail passwordProduction

POST
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/settings/changePassword

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

password
required
stringpassword

The password

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/settings/changePassword \
  -H "authorization: Bearer $OVH_TOKEN"

Enable or disable the voicemailProduction

POST
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/settings/changeRouting

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Request body (required)

routing
required
VoicefaxRoutingEnum

Activate or Desactivate voicemail on the line

Valuesfaxvoicemail

Response

200—successful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/settings/changeRouting \
  -H "authorization: Bearer $OVH_TOKEN"

Get the voicemail statusProduction

GET
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/settings/routing

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200VoicefaxRoutingEnumsuccessful operation

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/settings/routing \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"fax"

Get the voicemail numbersProduction

GET
/1.0/telephony/{billingAccount}/voicemail/{serviceName}/settings/voicemailNumbers

Path parameters

billingAccount
required
string

The name of your billingAccount

serviceName
required
string
—

Response

200VoicemailNumberssuccessful operation
external
string

The external voicemail number

internal
string

The internal voicemail number

Example uses billingAccount = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/voicemail/{serviceName}/settings/voicemailNumbers \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "external": "string", "internal": "string"}